Package com.google.android.exoplayer2.source.smoothstreaming.manifest

## Class SsManifestParser

- java.lang.Object
- - com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifestParser

- All Implemented Interfaces:
    `ParsingLoadable.Parser<SsManifest>`

      public class SsManifestParser
      extends Object
      implements ParsingLoadable.Parser<SsManifest>

  Parses SmoothStreaming client manifests.
  See Also:
    IIS Smooth Streaming Client Manifest Format

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SsManifestParser.MissingFieldException` | Thrown if a required field is missing.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SsManifestParser()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SsManifest` | `parse​(Uri uri, InputStream inputStream)` | Parses an object from a response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SsManifestParser

          public SsManifestParser()

  - ### Method Detail

    - #### parse

          public SsManifest parse​(Uri uri,
                                  InputStream inputStream)
                           throws IOException

      Description copied from interface: `ParsingLoadable.Parser`
      Parses an object from a response.
      Specified by:
        `parse` in interface `ParsingLoadable.Parser<SsManifest>`
      Parameters:
        `uri` - The source `Uri` of the response, after any redirection.
        `inputStream` - An `InputStream` from which the response data can be read.
      Returns:
        The parsed object.
      Throws:
        `ParserException` - If an error occurs parsing the data.
        `IOException` - If an error occurs reading data from the stream.